USERMOD(8)

NOM
usermod - modifie un compte utilisateur

SYNOPSIS

usermod [-c commentaire] [-d rép_perso [-m]]
    [-e date_fin_validité] [-f durée_inactivité]
    [-g groupe_initial] [-G groupe [,...]]
    [-l nom_utilisateur] [-p mot_de_passe]
    [-s interpréteur] [-u uid [-o]] [-L|-U] utilisateur

DESCRIPTION
La commande usermod modifie les fichiers d'administration des comptes du système pour refléter les modifications qui ont été spécifiées sur la ligne de commande. Les options qui s'appliquent à la commande usermod sont :

-c commentaire
    La nouvelle valeur du champ de commentaire du fichier de mots de passe pour l'utilisateur. Il est normalement modifié en utilisant l'utilitaire chfn(1).

-d rép_perso
    Le nouveau répertoire de connexion de l'utilisateur. Si l'option -m est fournie, le contenu du répertoire personnel actuel sera déplacé dans le nouveau répertoire personnel, qui sera créé si nécessaire.

-e date_fin_validité
    La date à laquelle le compte utilisateur sera désactivé. La date est spécifiée dans le format AAAA-MM-JJ.

-f durée_inactivité
    Le nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité. La valeur par défaut est de -1.

-g groupe_initial
    Le nom du groupe ou l'identifiant numérique du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe préexistant. Le numéro de groupe par défaut est de 1.

-G groupe,[...]
    Une liste de groupes supplémentaires auxquels fait également partie l'utilisateur. Les groupes sont séparés par une virgule, sans espace entre eux. Les groupes sont soumis aux mêmes restrictions que celles données avec l'option -g. Si l'utilisateur fait actuellement partie d'un groupe qui n'est pas listé, l'utilisateur sera supprimé du groupe.

-l nom_utilisateur
    Le nom de l'utilisateur passera de utilisateur à nom_utilisateur. Rien d'autre n'est modifié. En particulier, le répertoire personnel de l'utilisateur devra probablement être changé pour refléter le nouveau nom de connexion.

-o  When used with the -r option, this option allows to change the user ID to a non-unique value.

-p mot_de_passe
    Le mot de passe chiffré, comme renvoyé par crypt(3).

-s interpréteur
    Le nom du nouvel interpréteur de commandes initial (« login shell ») de l'utilisateur. Si le champ est vide, le système sélectionnera l'interpréteur de commandes initial par défaut.

-u uid
    La valeur numérique de l'identifiant de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Les valeurs comprises entre 0 et 99 sont généralement réservées aux comptes système. Tous les fichiers possédés par l'utilisateur et qui sont situés dans le répertoire personnel de l'utilisateur verront leur identifiant utilisateur automatiquement modifié. Vous devrez rechercher et modifier vous-même les fichiers situés à l'extérieur du répertoire personnel de l'utilisateur.

-L  Verrouille le mot de passe d'un utilisateur. Cette option ajoute un « ! » devant le mot de passe chiffré, ce qui désactive le mot de passe. Vous ne pouvez pas utiliser cette option avec -p ou -U.

-o  Allows changing the user ID to a non-unique value when used with -u option.

-U  Déverrouille le mot de passe d'un utilisateur. Cela supprime le « ! » situé devant le mot de passe chiffré. Vous ne pouvez pas utiliser cette option avec -p ou -L.

AVERTISSEMENTS
Usermod ne vous permet pas de modifier le nom d'un utilisateur qui est actuellement connecté. Vous devez être sûr que l'utilisateur nommé n'est pas en train d'exécuter un quelconque programme quand cette commande est exécutée si l'UID numérique de l'utilisateur est modifié. Vous devez modifier vous-même le nom du propriétaire de tous les fichiers crontab et des tâches at. Vous devez effectuer les modifications impliquant NIS sur le serveur NIS.

FICHIERS
/etc/passwd - informations sur les comptes des utilisateurs
/etc/shadow - mots de passe cachés des utilisateurs
/etc/group - informations sur les groupes

VOIR AUSSI
chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), useradd(8), userdel(8)

AUTEUR
Julianne Frances Haugh <jockgrrl@ix.netcom.com>

TRADUCTION
Frédéric Delanoy, 2000.
Nicolas FRANÇOIS, 2004. Veuillez signaler toute erreur à <debian-l10-french@lists.debian.org>.